Bug 1371434 - Error appears when creating resource(s) in openshift via jenkins
Summary: Error appears when creating resource(s) in openshift via jenkins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ben Parees
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-30 08:26 UTC by wewang
Modified: 2017-03-08 18:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2016-09-27 09:46:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Comment 1 Ben Parees 2016-08-30 13:05:50 UTC
The jenkins pod is run using serviceaccount "jenkins" now, not "default", so you need to add the permissions to system:serviceaccount:test:jenkins

note that those permissions are automatically added to the jenkins service account for the project in which you created the jenkins server, so you only need to add them for project "test1" in your scenario.

see:
https://github.com/openshift/origin/blob/master/examples/jenkins/jenkins-ephemeral-template.json#L153-L175

Comment 2 wewang 2016-08-31 02:14:14 UTC
updated cases, and verified when using system:serviceaccount:test:jenkins, thanks@Ben Parees

Comment 3 wewang 2016-08-31 02:20:28 UTC
pls also update docs:https://github.com/openshift/origin/blob/master/examples/jenkins/README.md, it seems still using default ,thx

Comment 4 Ben Parees 2016-08-31 02:47:56 UTC
Sure, readme is updated here:
https://github.com/openshift/origin/pull/10725

notice that i removed the step entirely as it is not necessary when using the new template since the new template creates the service account and adds the edit permission.  For your scenario (accessing a secondary project) you'll still need to add the edit permission to the appropriate service account.

Comment 6 errata-xmlrpc 2016-09-27 09:46:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.